
ISIS - Feature #2364

Merge New Horizons branch to the main ISIS trunk (beta) 

2015-11-06 12:23 PM - Stuart Sides

Status: Closed   

Priority: High   

Assignee: Kristin Berry   

Category: Applications   

Target version: 3.4.12 (FY16 R2 2016-03-17 Mar)   

Impact: The LORRI camera model, and the

ingestion programs for LORRI, LEISA,

MVIC were updated.

There is a new application called

"desmile" which removes wavelength

distortions from a multiband image (e.g.,

NH LEISA.) Additional capabilities have

also been added to ISIS's fits-file reading

functionaly. No old functionality was

removed.   "grid" has been fixed to work

on images where some bands have

been removed and

"spkwriter" will now work on newly

spiceinited images using SPICE SPK

type 13

Software Version:  

Description

The New Horizons branch of ISIS needs to be merged back into the main trunk (beta).

The changes include:

Updates to LORRI camera model

Updates to the ingestion programs for LORRI, LEISA, MVIC

New classes in the library for reading/writing and interrogating spectral definitions

Updates to the Pixel class

New application "desmile" removes wavelength distortions from a multiband image (e.g., NH LEISA)

Updates to the FITS file reading capabilities

History

#1 - 2015-11-06 12:27 PM - Stuart Sides

- Target version set to 3.4.12 (FY16 R2 2016-03-17 Mar)

#2 - 2015-11-06 01:35 PM - Kristin Berry

- Status changed from Assigned to In Progress

#3 - 2015-11-06 02:35 PM - Kristin Berry

- Impact updated

#4 - 2015-11-06 02:37 PM - Kristin Berry

- Impact updated

#5 - 2015-11-06 02:43 PM - Kristin Berry

- Impact updated

#6 - 2015-11-06 02:44 PM - Kristin Berry

Additional changes: The NH LEISA camera mode was updated so that "grid" will work on images where some bands have been removed and

"spkwriter" will now work on newly "spiceinited" images using SPICE SPK type 13

2017-01-02 1/2



#7 - 2015-11-06 04:26 PM - Kristin Berry

Also fits2isis modified to allow specification of "order": BIL, BSQ, etc.

#8 - 2015-11-06 04:27 PM - Kristin Berry

- Status changed from In Progress to Resolved

#9 - 2015-11-06 04:27 PM - Kristin Berry

It's at /work/users/kberry/trunk-merge-NH/isis if you'd like to test

#11 - 2015-11-06 05:07 PM - Stuart Sides

- Status changed from Resolved to Closed
